Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 217304 - API Review: Added preferred line number to FileProvider.Context
API Review: Added preferred line number to FileProvider.Context
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Jump To
7.3
All All
: P3 (vote)
: 7.3
Assigned To: apireviews
issues@utilities
: API, API_REVIEW_FAST
Depends on:
Blocks: 217050
  Show dependency treegraph
 
Reported: 2012-08-23 13:15 UTC by Tomas Zezula
Modified: 2012-09-05 07:13 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments
Patch (18.33 KB, application/octet-stream)
2012-08-23 13:15 UTC, Tomas Zezula
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Zezula 2012-08-23 13:15:53 UTC
Created attachment 123465 [details]
Patch

Added FileProvider.Context.getLineNumber() method to return the preferred line on which the document should be opened. The FileProviders which are using a custom FileDescription should use this method to open the selected file on preferred line. The FileProviders which are using FileObjects are handled automatically and the document opens on preferred line.
Comment 1 Jaroslav Tulach 2012-08-24 12:25:18 UTC
Y01 Why not test other value than -1?
Comment 2 Tomas Zezula 2012-08-24 12:40:11 UTC
The line number has no effect on the test. The test does not test correct implementation of LineCookie it tests that the FileObject for given file name pattern is found.
Comment 3 Tomas Zezula 2012-09-05 07:13:13 UTC
Fixed jet-main 1b5cfdcd1598


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo